function MqActivityLogVisibleToCustAdptr(objViewFields, lngActivityVisibleToCustomerCheckboxFieldID, strRecordDocRef)
{			
	var m_objViewFields=objViewFields;
	var m_lngActivityVisibleToCustomerCheckboxFieldID=lngActivityVisibleToCustomerCheckboxFieldID;
	var m_strRecordDocRef=strRecordDocRef;
	
	function OnAfterLoadRec()
	{
		g_VWS.RecordMgr().CurrentRecord().FldVals(lngActivityVisibleToCustomerCheckboxFieldID).SetValue("1");
	}
		
	this.Name="MqActivityLogVisibleToCustAdptr " + m_lngActivityVisibleToCustomerCheckboxFieldID;
	this.OnAfterLoadRec=OnAfterLoadRec;
	
	WriteConsole("MqActivityLogVisibleToCustAdptr: Initializing the extension " + this.Name);		
}
